#ifndef ADDNEWTESTWIDGET_H
#define ADDNEWTESTWIDGET_H

#include <QWidget>
#include <QPushButton>
#include <QSqlDatabase>
#include "question.h"
#include "testentity.h"

namespace Ui {
class addNewTestWidget;
}

class addNewTestWidget : public QWidget
{
    Q_OBJECT

public:
    QPushButton* returnButton;
    explicit addNewTestWidget(QWidget *parent = nullptr);
    ~addNewTestWidget();

    void setDb(QSqlDatabase& p_db);
public slots:
    void addNewTest();
    void hidePrev();

    void getTestName();
    void getQuestions();

    void getCurrentQuestion();

    void showTest();

public:
    Ui::addNewTestWidget *ui;

private:
    int counter = 1;
    QSqlDatabase db;
    TestEntity* testEntity;
    QVector<QuestionEntity> questions;

signals:
    void onTestEditStart();
};

#endif // ADDNEWTESTWIDGET_H
