#ifndef LOGINWIDGET_H
#define LOGINWIDGET_H

#include "adminwindow.h"
#include "tester.h"
#include "testselection.h"
#include <QWidget>
#include <QPushButton>
#include <QLineEdit>
#include <QCheckBox>
#include <QLabel>
#include <QSqlDatabase>
#include <QString>
#include <QSet>
#include <QErrorMessage>

class LoginWidget : public QWidget
{
    Q_OBJECT
public:
    explicit LoginWidget(QWidget *parent = nullptr);
    QString getName();
    QString getPassword();

signals:
    void onClosed();
    void inf(const QString &login);
    bool isAdminLogining();

public slots:
    void sendInfo();
    void isAdminlog(int check);
    void isAdminLoginin();

    void onSendBtnClicked();

private:
    // TestSelection *testSelectionWidget;
    adminwindow *admWindow;
    Tester* testerWindow;
    QPushButton* send;
    QLineEdit* nameEdit;
    QLineEdit* passwordEdit;
    QCheckBox* isAdmin;
    QLabel* lab1;
    QLabel* lab2;
    QSqlDatabase db;
    QSet<QString> *logins;
    QSet<QString> *passwords;
    QErrorMessage *err;
};

#endif // LOGINWIDGET_H
